Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EJoinType

    java.lang.Object
      java.lang.Enum<EJoinType>
          gudusoft.gsqlparser.EJoinType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EJoinType>

    public enum EJoinType

extends java.lang.Enum<EJoinType>

Enum Constant Summary
`cross`
`crossapply`
`full`
`fullouter`
`inner`
`left`
`leftouter`
`natural`
`natural_full`
`natural_fullouter`
`natural_inner`
`natural_left`
`natural_leftouter`
`natural_right`
`natural_rightouter`
`nested`
`outerapply`
`right`
`rightouter`
`straight`
`union`

Method Summary
`static EJoinType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EJoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### cross

    public static final EJoinType cross

### natural

    public static final EJoinType natural

### full

    public static final EJoinType full

### left

    public static final EJoinType left

### right

    public static final EJoinType right

### fullouter

    public static final EJoinType fullouter

### leftouter

    public static final EJoinType leftouter

### rightouter

    public static final EJoinType rightouter

### inner

    public static final EJoinType inner

### crossapply

    public static final EJoinType crossapply

### outerapply

    public static final EJoinType outerapply

### straight

    public static final EJoinType straight

### union

    public static final EJoinType union

### nested

    public static final EJoinType nested

### natural_full

    public static final EJoinType natural_full

### natural_fullouter

    public static final EJoinType natural_fullouter

### natural_inner

    public static final EJoinType natural_inner

### natural_left

    public static final EJoinType natural_left

### natural_right

    public static final EJoinType natural_right

### natural_leftouter

    public static final EJoinType natural_leftouter

### natural_rightouter

    public static final EJoinType natural_rightouter

Method Detail

### values

    public static final EJoinType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EJoinType c : EJoinType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EJoinType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD